Bug 805253 - RFE: Add info on how to upgrade custom agent binaries
RFE: Add info on how to upgrade custom agent binaries
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation (Show other bugs)
JON 3.0.0
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 14:19 EDT by Deon Ballard
Modified: 2014-10-23 08:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-28 19:33:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deon Ballard 2012-03-20 14:19:00 EDT
Description of problem:
The agent binaries can be manually edited to supply default configuration values. This allows agents to start up and skip the initial config and registration steps.

Link:
http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/3.0/html/Installation_Guide/preparing-a-preconfigured-bundle.html

However, when the server is upgraded, those edited binaries are lost, so subsequent agent installs don't have the custom config.

This should be noted in the server and/or agent upgrade sections, that if you had an edited agent binary, you need to edit it again.

Additional info:
Bug 781586
Comment 1 Mike Foley 2012-03-26 11:51:20 EDT
priority = medium, no target release, per BZ triage (crocuh, asantos, mfoley, loleary)
Comment 2 Deon Ballard 2013-02-28 19:33:06 EST
Mass closure.

Note You need to log in before you can comment on or make changes to this bug.